<!-- 措施迭代申请 -->
<template>
    <div class="full-page bg">
        <div class="search-container">
            <el-form
                ref="form"
                :model="searchForm"
                label-width="auto"
                style="width: 100%"
            >
                <el-row :gutter="20">
                    <el-col :span="4">
                        <el-form-item label="项目名称">
                            <el-input
                                v-model="querys[0].value"
                                clearable
                                placeholder="请输入项目名称"
                            >
                            </el-input>
                        </el-form-item>
                    </el-col>
                    <el-col :span="4">
                        <el-form-item label="牵头市领导">
                            <el-input
                                clearable
                                placeholder="请输入牵头市领导"
                                v-model="querys[1].value"
                            >
                            </el-input>
                        </el-form-item>
                    </el-col>
                    <!-- <el-col :span="4">
						<el-form-item label="项目类型">
							<dict-select dictCode="xmlx" :hasDefaultOption="true" clearable
								:disabled="disabled" v-model="row.distributionType"
								style="width: 100%" placeholder="请选择分发类型" />
						</el-form-item>
					</el-col> -->

                    <el-col :span="2">
                        <el-button
                            icon="el-icon-search"
                            type="primary"
                            class="btn btn-plus"
                            @click="handleSearch"
                        >
                            搜索
                        </el-button>
                    </el-col>
                </el-row>
            </el-form>
        </div>
        <el-row :gutter="10" class="main-table-container flex">
            <el-col
                :span="24"
                class="table-container"
                ref="contentPanel"
                style="padding: 20px"
            >
                <div style="margin-bottom: 10px" ref="btnPanel">
                    <!-- <el-button icon="el-icon-plus" type="primary" class="btn btn-plus" @click="handleAdd">
						{{ this.$t('common.add') }}
					</el-button>
					<el-button slot="reference" icon="el-icon-delete" type="danger" class="btn btn-delete"
						:disabled="!multipleSelection.length>0" @click="handleDelete">
						{{ this.$t('common.delete') }}
					</el-button> -->
                </div>
                <div
                    :style="{width: '100%', height: `${tableMaxHeight}` + 'px'}"
                >
                    <el-table
                        stripe
                        size="mini"
                        v-loading="loading"
                        ref="multipleSelection"
                        :data="tableData"
                        :max-height="tableMaxHeight"
                        :style="{width: '100%'}"
                        @selection-change="handleSelectionChange"
                    >
                        <el-table-column
                            type="selection"
                            width="55"
                            align="center"
                        ></el-table-column>
                        <el-table-column
                            show-overflow-tooltip
                            label="项目名称"
                            align="center"
                        >
                            <template v-slot="{row}">
                                {{
                                    row.municipalMajorProjectManagement
                                        .projectName
                                }}
                            </template>
                        </el-table-column>
                        <el-table-column
                            show-overflow-tooltip
                            label="责任单位"
                            align="center"
                        >
                            <template v-slot="{row}">
                                {{
                                    row.municipalMajorProjectManagement.unitName
                                }}
                            </template>
                        </el-table-column>
                        <el-table-column
                            show-overflow-tooltip
                            label="牵头市领导"
                            align="center"
                        >
                            <template v-slot="{row}">
                                {{ row.municipalMajorProjectManagement.leader }}
                            </template>
                        </el-table-column>
                        <!-- <el-table-column prop="leader" show-overflow-tooltip label="审核状态" align="center">
						</el-table-column> -->
                        <el-table-column
                            show-overflow-tooltip
                            label="填报时间"
                            align="center"
                        >
                            <template v-slot="{row}">
                                {{ row.pilotProjectFill.fillDate }}
                            </template>
                        </el-table-column>
                        <!-- <el-table-column prop="projectType" show-overflow-tooltip label="项目类型" align="center">
							<template v-slot="{row}">
							  {{ getDictName('xmlx', row.projectType) }}
							</template>
						</el-table-column> -->

                        <el-table-column
                            show-overflow-tooltip
                            align="center"
                            fixed="right"
                            label="操作"
                        >
                            <template v-slot="{row}">
                                <el-link
                                    type="primary"
                                    :underline="false"
                                    class="cloumn-btn"
                                    @click="
                                        handleDbClick(row.pilotProjectFill.id)
                                    "
                                >
                                    审核
                                </el-link>
                            </template>
                        </el-table-column>
                    </el-table>
                </div>
                <pagination
                    ref="paginationPanel"
                    style="margin-top: 10px"
                    :pageResult="queryParam.pageBean"
                    @size-change="handleSizeChange"
                    @current-change="handleCurrentChange"
                />
            </el-col>
        </el-row>
        <ConfirmDialog ref="ConfirmDialog" @getData="getData"></ConfirmDialog>
    </div>
</template>

<script>
import pagination from '@/components/pagination'
import {TableMixin} from '@/mixins/tableMixin'
import dictUtils from '@/components/dict/DictSelectUtils.js'
import utils from '@/utils.js'
import majorProjects from '@/api/MajorReformProjects/majorProjects.js'
import ConfirmDialog from '../components/ConfirmDialog.vue'
export default {
    name: 'MajorProjectsConfirm',
    components: {
        pagination,
        ConfirmDialog,
    },
    mixins: [TableMixin],
    data() {
        return {
            searchForm: {},
            loading: false,
            auditloading: false,
            tableData: [],
            multipleSelection: [],
            treeData: [],
            querys: [
                {
                    group: 'main',
                    operation: 'LIKE',
                    parentGroup: '',
                    property: 'p.project_name_',
                    relation: 'AND',
                    value: '',
                },
                {
                    group: 'main',
                    operation: 'LIKE',
                    parentGroup: '',
                    property: 'p.leader_',
                    relation: 'AND',
                    value: '',
                },
                {
                    group: 'statusGroup',
                    operation: 'EQUAL',
                    parentGroup: '',
                    property: 'f.status_',
                    relation: 'AND',
                    value: 3,
                },
            ],
            typeValue: [],
            queryParam: {
                pageBean: {
                    page: 1,
                    pageSize: 20,
                    total: 0,
                },
            },
            unitValue: [],
            // total: 0,
            // sortList: {},
        }
    },

    created() {
        this.jbList = dictUtils.getDictItemsFromCache('subjec_type')
        this.getData()
    },
    mounted() {},
    methods: {
        getDictName(code, value) {
            console.log(code, value)
            return utils.getDictName(code, value)
        },
        changeUnit(value) {
            let nodesObj = this.$refs['cascader'].getCheckedNodes()
            if (nodesObj != []) {
                this.querys[2].value = nodesObj[0].data.id
            } else {
                this.querys[2].value = ''
            }
        },
        handleSearch() {
            this.getData(1)
        },
        //获取数据
        getData(page) {
            console.log(this.typeValue)
            if (page) {
                this.queryParam.pageBean.page = page
            }
            this.loading = true
            this.tableData = []
            this.queryParam.querys = []
            if (this.querys[0].value) {
                this.queryParam.querys.push(this.querys[0])
            }
            if (this.querys[1].value) {
                this.queryParam.querys.push(this.querys[1])
            }
            if (this.querys[2].value) {
                this.queryParam.querys.push(this.querys[2])
            }
            majorProjects.listQuery(this.queryParam, (res) => {
                if (res.rows) {
                    this.tableData = res.rows
                    this.queryParam.pageBean.total = res.total
                    this.$set(this.tableData)
                    this.loading = false
                }
            })
        },
        // expandHandle() {
        // 	this.expandAll = !this.expandAll
        // 	this.expandNodes(this.$refs.tree.store.root)
        // },
        // // 遍历树形数据，设置每一项的expanded属性，实现展开收起
        // expandNodes(node) {
        // 	node.expanded = this.expandAll
        // 	for (let i = 0; i < node.childNodes.length; i++) {
        // 		node.childNodes[i].expanded = this.expandAll
        // 		if (node.childNodes[i].childNodes.length > 0) {
        // 			this.expandNodes(node.childNodes[i])
        // 		}
        // 	}
        // },
        // filterNode(value, data) {
        // 	if (!value) return true
        // 	return data.name.indexOf(value) !== -1
        // },
        // //树选中
        // handleNodeClick(data) {
        // 	this.parentId = data.id
        // 	this.querys[2].value = data.id
        // 	this.getData(1)
        // },
        //添加
        handleAdd() {
            this.$refs.ConfirmDialog.add()
        },
        //删除
        handleDelete() {
            this.$confirm(
                this.$t('common.sureDelete'),
                this.$t('common.tips'),
                {
                    confirmButtonText: this.$t('common.confirm'),
                    cancelButtonText: this.$t('common.cancel'),
                    type: 'warning',
                }
            )
                .then(() => {
                    majorProjects.delDate(this.multipleSelection, (res) => {
                        if (res.state) {
                            this.$notify({
                                type: 'success',
                                message: '删除成功',
                                duration: 2000,
                            })
                        }
                        this.getData()
                    })
                })
                .catch(() => {})
        },
        //修改
        handleDbClick(data) {
            this.$refs.ConfirmDialog.add(data)
        },

        //表格选中
        handleSelectionChange(val) {
            this.multipleSelection = []
            this.$refs.multipleSelection.selection.forEach((item) => {
                this.multipleSelection.push(item.id)
            })
        },
        //展示数量
        handleSizeChange(val) {
            this.queryParam.pageBean.pageSize = val
            this.getData()
        },
        //表格页数
        handleCurrentChange(val) {
            this.queryParam.pageBean.page = val
            this.getData()
        },
        // //排序
        // insort(val) {
        // 	let id = val.id
        // 	let value = val.sn
        // 	this.sortList[id] = value
        // },
        // 保存排序
        // savePropertyf() {
        // 	this.$confirm(this.$t('common.sureSort'), this.$t('common.tips'), {
        // 			confirmButtonText: this.$t('common.confirm'),
        // 			cancelButtonText: this.$t('common.cancel'),
        // 			type: 'warning',
        // 		})
        // 		.then(() => {
        // 			majorProjects.sortData(this.sortList, (res) => {
        // 				if (res.state) {
        // 					this.$notify({
        // 						type: 'success',
        // 						message: res.message,
        // 						duration: 2000,
        // 					})
        // 					this.getData()
        // 				} else {
        // 					this.$message.warning(res.message)
        // 				}
        // 			})
        // 		})
        // 		.catch(() => {})
        // },
        //修改树
        // editTree() {
        // 	this.$refs.internationTree.add()
        // },
        // callData() {
        // 	this.loadDataTree()
        // 	this.getData()
        // },
    },
}
</script>

<style lang="scss" scoped>
	.common-tree-container {
		height: calc(100% - 70px);
		margin-top: 0.52083vw;
		padding: 1.04167vw 1.04167vw;
		background-color: #fff;
		position: relative;
		box-sizing: border-box;
		overflow-y: auto;
		border-radius: 20px;
		box-shadow: 0px 0px 0.625vw 0 rgba(92, 102, 83, 0.2);
	}

	.container-head {
		display: flex;
		align-items: center;

		i {
			font-size: 16px;
			margin-left: 5px;
			font-weight: 600;
			cursor: pointer;
		}
	}

	.cloumn-btn {
		border: 1px solid #2761ff;
		padding: 3px 10px;
		border-radius: 5px;
		&:nth-child(1) {
			margin-right: 5px;
		}

		&:nth-child(1):hover {
			background-color: #2761ff;
			color: #fff;
		}

		&:nth-child(2):hover {
			background-color: #2761ff;
			color: #fff;
		}

		// &:nth-child(2):hover {
		//   background-color: #f56c6c;
		//   color: #fff;
		//   border-color: #f56c6c;
		// }
		/deep/ i,
		span {
			font-size: 16px;
		}
	}
</style>
